

POPEN                               AMIGA                                POPEN



NAME
     popen, pclose - initiate I/O to/from a process

SYNOPSIS
     #include <pio.h>

     FILE *popen(command, type)
     char *command, *type;

     pclose(stream)
     FILE *stream;

DESCRIPTION
     The arguments to popen are pointers to null terminated strings containing
     respectively a shell command line and an I/O mode, either "r" for reading
     or "w" for writing.  It creates a pipe between the calling process and
     the command to be executed.  The value returned is a stream pointer that
     can be used (as appropriate) to write to the standard input of the
     command or read from its standard output.

     A stream opened by popen should be closed by pclose, which waits for the
     associated process to terminate and returns the exit status of the
     command.

     Because open files are shared, a type "r" command can be used as an input
     filter, and a type "w" as an output filter.

SEE ALSO
     Execute() ["The AmigaDOS Manual"], "FIFO.DOC".

DIAGNOSTICS
     popen returns a NULL pointer if files or processes cannot be created.

     pclose returns -1 if stream is not associated with a popened command.

BUGS
     Suitable errno values & perror() messages are not available for the
     various conditions that popen() may fail.

     No longer possible to identify a process pipe solely on it's TaskPtr.
